Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Binding Notifications

Notify Binding Creation

post

Notify the token requestor about a device binding creation.

In case of retryable error returned by the token requestor, the notification will be resent periodically with exponential backoff.

認可
Authorizationstring必須
ヘッダーパラメータ
authorizationany必須

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value. Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idany必須

A unique message identifier. It eventually correlates the notification with a request if any. The goal is to help on customer support when needed.

本文
tokenIdstring · 最小: 1 · 最大: 128必須

The token identifier.

deviceIdstring · 最小: 1 · 最大: 24必須

The unique device identifier.

deviceTypestring · enum · 最大: 32オプション

The device type.

Example: PHONE可能な値:
appTypestring · enum · 最大: 32オプション

The device type.

Example: ANDROID可能な値:
vProvisionedTokenIdstring · 最小: 1 · 最大: 36オプション

Specific to Visa. Another token identifier that shall be used only with Visa Cloud Token Framework.

selectedIdvMethodstring · enum · 最大: 32必須

The ID&V method selected to bind the device.

Example: APP_TO_APP可能な値:
merchantIdstring · 最小: 1 · 最大: 128必須

Identifier of the merchant provided by Thales at on-boarding.

creationTimestampstring · 最大: 64オプション

Token or binding creation timestamp compliant with ISO 8601.

Example: 2017-11-10T09:08:24.479Z
レスポンス
204

No Content

コンテンツなし

post/notify-binding-creation
POST /tsh-cof/notify-binding-creation HTTP/1.1
Authorization: Basic username:password
authorization: null
x-correlation-id: null
Content-Type: application/json
Accept: */*
Content-Length: 206

{
  "tokenId": "text",
  "deviceId": "text",
  "deviceType": "PHONE",
  "appType": "ANDROID",
  "vProvisionedTokenId": "text",
  "selectedIdvMethod": "APP_TO_APP",
  "merchantId": "text",
  "creationTimestamp": "2017-11-10T09:08:24.479Z"
}

コンテンツなし

Notify Binding Update

post

Notify the token requestor about a device binding update.

In case of retryable error returned by the token requestor, the notification will be resent periodically with exponential backoff.

認可
Authorizationstring必須
ヘッダーパラメータ
authorizationany必須

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value. Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idany必須

A unique message identifier. It eventually correlates the notification with a request if any. The goal is to help on customer support when needed.

本文
tokenIdstring · 最小: 1 · 最大: 128必須

The token identifier.

deviceIdstring · 最小: 1 · 最大: 24必須

The unique device identifier.

deviceTypestring · enum · 最大: 32オプション

The device type.

Example: PHONE可能な値:
appTypestring · enum · 最大: 32オプション

The device type.

Example: ANDROID可能な値:
bindingStatestring · enum · 最大: 64必須

Binding state.

Example: DELETED可能な値:
vProvisionedTokenIdstring · 最小: 1 · 最大: 36オプション

Specific to Visa. Another token identifier that shall be used only with Visa Cloud Token Framework.

merchantIdstring · 最小: 1 · 最大: 128必須

Identifier of the merchant provided by Thales at on-boarding.

eventInitiatorstring · enum · 最大: 32必須

The initiator of the event. For example a delete binding can be initiated by the scheme or by the app in the device.

Example: TSP可能な値:
creationTimestampstring · 最大: 64オプション

Token or binding creation timestamp compliant with ISO 8601.

Example: 2017-11-10T09:08:24.479Z
lastUpdateTimestampstring · 最大: 64オプション

Token or binding last update timestamp compliant with ISO 8601.

Example: 2017-11-13T11:012:41.165Z
レスポンス
204

No Content

コンテンツなし

post/notify-binding-update
POST /tsh-cof/notify-binding-update HTTP/1.1
Authorization: Basic username:password
authorization: null
x-correlation-id: null
Content-Type: application/json
Accept: */*
Content-Length: 271

{
  "tokenId": "text",
  "deviceId": "text",
  "deviceType": "PHONE",
  "appType": "ANDROID",
  "bindingState": "DELETED",
  "vProvisionedTokenId": "text",
  "merchantId": "text",
  "eventInitiator": "TSP",
  "creationTimestamp": "2017-11-10T09:08:24.479Z",
  "lastUpdateTimestamp": "2017-11-13T11:012:41.165Z"
}

コンテンツなし

最終更新

役に立ちましたか?